#ifndef _DISPLAY_H_
#define _DISPLAY_H_

#define SEG_A       (1<<0)
#define SEG_B       (1<<1)
#define SEG_C       (1<<2)
#define SEG_D       (1<<3)
#define SEG_E       (1<<4)
#define SEG_F       (1<<5)
#define SEG_G       (1<<6)
#define SEG_DP      (1<<7)

#define DIGIT_0         (SEG_A|SEG_B|SEG_C|SEG_D|SEG_E|SEG_F)
#define DIGIT_1         (SEG_B|SEG_C)
#define DIGIT_2         (SEG_A|SEG_B|SEG_D|SEG_E|SEG_G)
#define DIGIT_3         (SEG_A|SEG_B|SEG_C|SEG_D|SEG_G)
#define DIGIT_4         (SEG_B|SEG_C|SEG_F|SEG_G)
#define DIGIT_5         (SEG_A|SEG_C|SEG_D|SEG_F|SEG_G)
#define DIGIT_6         (SEG_A|SEG_C|SEG_D|SEG_E|SEG_F|SEG_G)
#define DIGIT_7         (SEG_A|SEG_B|SEG_C)
#define DIGIT_8         (SEG_A|SEG_B|SEG_C|SEG_D|SEG_E|SEG_F|SEG_G)
#define DIGIT_9         (SEG_A|SEG_B|SEG_C|SEG_D|SEG_F|SEG_G)
#define DIGIT_MINUS     (SEG_G)

void display_refresh(void);
uint8 u8decode7seg(uint8 u8Digit);
void cursor_blink(void);
void set_cursorpos(uint16 u16pos);
void cursor_left(void);
void cursor_right(void);
uint16 u16get_cursorpos(void);

#endif
